diff --git a/game/client/src/main/java/net/minecraft/client/gui/guidebook/GuidebookPage.java b/game/client/src/main/java/net/minecraft/client/gui/guidebook/GuidebookPage.java
index 439660536..4560d6fa7 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/guidebook/GuidebookPage.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/guidebook/GuidebookPage.java
@@ -3,6 +3,7 @@ package net.minecraft.client.gui.guidebook;
 import net.minecraft.client.gui.Gui;
 import net.minecraft.client.render.TextureManager;
 import net.minecraft.client.render.font.FontRenderer;
+import net.minecraft.client.render.renderer.GLRenderer;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.util.helper.Color;
 import org.lwjgl.opengl.GL11;
@@ -22,9 +23,9 @@ public abstract class GuidebookPage
     }
 
     protected void renderBackground(TextureManager re, int x, int y) {
-        GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
+        GLRenderer.setColor4f(1.0F, 1.0F, 1.0F, 1.0F);
         re.bindTexture(re.loadTexture("/assets/minecraft/textures/gui/container/guidebook/guidebook.png"));
-        drawTexturedModalRect(x, y, 0, 0, width, height);
+        drawTexturedModalRect(x, y, 0, 0, this.width, this.height);
     }
 
     protected abstract void renderForeground(TextureManager re, FontRenderer sr, int x, int y, int mouseX, int mouseY, float partialTicks);
@@ -38,28 +39,33 @@ public abstract class GuidebookPage
         renderForeground(re, sr, x, y, mouseX, mouseY, partialTicks);
     }
 
-    protected void renderOverlay(TextureManager re, FontRenderer sr, int x, int y, int mouseX, int mouseY, float partialTicks) { };
+    protected void renderOverlay(TextureManager re, FontRenderer sr, int x, int y, int mouseX, int mouseY, float partialTicks) {
+    }
 
-    public void onMouseDown(int x, int y, int mouseX, int mouseY, int button) { }
+    public void onMouseDown(int x, int y, int mouseX, int mouseY, int button) {
+    }
 
     public boolean keyTyped(char c, int key, int x, int y, int mouseX, int mouseY) {
         return false;
     }
 
-    public void onTick() { }
+    public void onTick() {
+    }
 
-    public void onBecomeVisible() { }
+    public void onBecomeVisible() {
+    }
 
-    public void onStopBeingVisible() { }
+    public void onStopBeingVisible() {
+    }
 
 
-    public void drawSlot(int x, int y, int argb){
+    public void drawSlot(int x, int y, int argb) {
 
         float a = Color.alphaFromInt(argb) / 255F;
         float r = Color.redFromInt(argb) / 255F;
         float g = Color.greenFromInt(argb) / 255F;
         float b = Color.blueFromInt(argb) / 255F;
-        GL11.glColor4f(r,g,b,a);
+        GLRenderer.setColor4f(r, g, b, a);
         drawGuiIcon(x, y, 18, 18, TextureRegistry.getTexture("minecraft:gui/screen/guidebook/slot"));
     }
 }
diff --git a/game/client/src/main/java/net/minecraft/client/gui/guidebook/GuidebookSections.java b/game/client/src/main/java/net/minecraft/client/gui/guidebook/GuidebookSections.java
index 133124187..65141c59d 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/guidebook/GuidebookSections.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/guidebook/GuidebookSections.java
@@ -10,6 +10,7 @@ import net.minecraft.client.gui.guidebook.smelting.GuidebookSectionSmelting;
 import net.minecraft.client.gui.guidebook.trommeling.GuidebookSectionTrommel;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.item.ItemStack;
+import org.jetbrains.annotations.NotNull;
 
 import java.util.ArrayList;
 import java.util.Collections;
@@ -19,14 +20,14 @@ public abstract class GuidebookSections {
     private static boolean initialized = false;
     private static List<GuidebookSection> sectionList = new ArrayList<>();
 
-    public static GuidebookSection COVER;
-    public static GuidebookSection INDEX;
-    public static GuidebookSection SEARCH;
-    public static GuidebookSection MOB;
-    public static GuidebookSection CRAFTING;
-    public static GuidebookSection FURNACE;
-    public static GuidebookSection BLAST_FURNACE;
-    public static GuidebookSection TROMMEL;
+    public static GuidebookSectionCover COVER;
+    public static GuidebookSectionIndex INDEX;
+    public static GuidebookSectionSearch SEARCH;
+    public static GuidebookSectionMob MOB;
+    public static GuidebookSectionCrafting CRAFTING;
+    public static GuidebookSectionSmelting FURNACE;
+    public static GuidebookSectionBlastSmelting BLAST_FURNACE;
+    public static GuidebookSectionTrommel TROMMEL;
 
     public static void init() {
         if (initialized) return;
@@ -42,7 +43,7 @@ public abstract class GuidebookSections {
         MOB = register(new GuidebookSectionMob());
     }
 
-    public static GuidebookSection register(GuidebookSection section) {
+    public static <T extends GuidebookSection> @NotNull T register(@NotNull T section) {
         sectionList.add(section);
 
         return section;
